This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278140 - Review Request: planarity - Implementations of several planarity-related graph algorithms
Review Request: planarity - Implementations of several planarity-related grap...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 13:11 EST by Paulo Andrade
Modified: 2016-03-18 12:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 12:23:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2015-11-04 13:11:58 EST
Spec URL: https://pcpa.fedorapeople.org/planarity.spec
SRPM URL: https://pcpa.fedorapeople.org/planarity-2.2.0-1.fc24.src.rpm
Description: This code project provides a library for implementing graph algorithms
as well as implementations of several planarity-related graph algorithms.
The origin of this project is the reference implementation for the Edge
Addition Planarity Algorithm, which is now the fastest and simplest
linear-time method for planar graph embedding and planarity obstruction
isolation (i.e. Kuratowski subgraph isolation).

The software in this code project provides a graph algorithm framework and
library, including an updated version of the edge addition combinatorial
planar graph embedder and planar obstruction isolator (i.e., a Kuratowski
subgraph isolator). This code project also includes several extensions
that implement planarity-related algorithms such as a planar graph drawing
algorithm, an outerplanar graph embedder and outerplanar obstruction
isolator, and a number of subgraph homeomorphism search algorithms.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2015-11-04 13:13:44 EST
This package is required by newer sagemath. It is a non
optional dependency.

Upstream appears to be not very active - still only reference
is a read only googlecode repository.
Comment 2 gil cattaneo 2015-11-23 09:45:50 EST
can take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1193210 ?
Comment 3 gil cattaneo 2015-11-23 10:39:53 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "MIT/X11 (BSD like)", "GPL (v2 or later)",
     "Unknown or generated". 13 files have unknown license. Detailed output
     of licensecheck in /home/gil/1278140-planarity/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     planarity-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/gil/1278140-planarity/results/planarity-2.2.0-1.fc24.i686.rpm /home/gil/1278140-planarity/results/planarity-devel-2.2.0-1.fc24.i686.rpm /home/gil/1278140-planarity/results/planarity-debuginfo-2.2.0-1.fc24.i686.rpm /home/gil/1278140-planarity/results/planarity-debuginfo-2.2.0-1.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/gil/1278140-planarity/results/planarity-2.2.0-1.fc24.i686.rpm /home/gil/1278140-planarity/results/planarity-devel-2.2.0-1.fc24.i686.rpm /home/gil/1278140-planarity/results/planarity-debuginfo-2.2.0-1.fc24.i686.rpm /home/gil/1278140-planarity/results/planarity-debuginfo-2.2.0-1.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: planarity-2.2.0-1.fc24.i686.rpm
          planarity-devel-2.2.0-1.fc24.i686.rpm
          planarity-debuginfo-2.2.0-1.fc24.i686.rpm
          planarity-2.2.0-1.fc24.src.rpm
planarity.i686: W: spelling-error %description -l en_US Kuratowski -> Malinowski
planarity.i686: W: spelling-error %description -l en_US subgraph -> sub graph, sub-graph, subgroup
planarity.i686: W: spelling-error %description -l en_US combinatorial -> combination
planarity.i686: W: spelling-error %description -l en_US embedder -> embedded, em bedder, em-bedder
planarity.i686: W: spelling-error %description -l en_US isolator -> isolation
planarity.i686: W: spelling-error %description -l en_US outerplanar -> outer planar, outer-planar, interplanetary
planarity.i686: W: spelling-error %description -l en_US homeomorphism -> metamorphism
planarity-devel.i686: W: no-documentation
planarity.src: W: spelling-error %description -l en_US Kuratowski -> Malinowski
planarity.src: W: spelling-error %description -l en_US subgraph -> sub graph, sub-graph, subgroup
planarity.src: W: spelling-error %description -l en_US combinatorial -> combination
planarity.src: W: spelling-error %description -l en_US embedder -> embedded, em bedder, em-bedder
planarity.src: W: spelling-error %description -l en_US isolator -> isolation
planarity.src: W: spelling-error %description -l en_US outerplanar -> outer planar, outer-planar, interplanetary
planarity.src: W: spelling-error %description -l en_US homeomorphism -> metamorphism
4 packages and 0 specfiles checked; 0 errors, 15 warnings.




Requires
--------
planarity (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libplanarity.so.0
    rtld(GNU_HASH)

planarity-devel (rpmlib, GLIBC filtered):
    libplanarity.so.0
    planarity(x86-32)

planarity-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
planarity:
    libplanarity.so.0
    planarity
    planarity(x86-32)

planarity-devel:
    planarity-devel
    planarity-devel(x86-32)

planarity-debuginfo:
    planarity-debuginfo
    planarity-debuginfo(x86-32)



Source checksums
----------------
http://mirrors.mit.edu/sage/spkg/upstream/planarity/planarity-2.2.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 116b5ef6a7b812cc3765d67e3827a4a3fe2c887609c2637270acbc425828fbf1
  CHECKSUM(SHA256) upstream package : 116b5ef6a7b812cc3765d67e3827a4a3fe2c887609c2637270acbc425828fbf1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1278140 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 gil cattaneo 2015-11-23 10:41:29 EST
Seem all ok. Approved
Comment 5 Till Maas 2015-11-23 15:41:26 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/planarity
Comment 6 Paulo Andrade 2016-03-18 12:23:46 EDT
Package is available. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.